## erlang-cowlib 0.6.2

=== Makefile ===
# See LICENSE for licensing information.

PROJECT = cowlib
CT_SUITES = eunit
PLT_APPS = crypto

include erlang.mk

.PHONY: gen perfs

# Mimetypes module generator.

GEN_URL = http://svn.apache.org/repos/asf/httpd/httpd/trunk/docs/conf/mime.types
GEN_SRC = src/cow_mimetypes.erl.src
GEN_OUT = src/cow_mimetypes.erl

gen:
	$(gen_verbose) cat $(GEN_SRC) \
		| head -n `grep -n "%% GENERATED" $(GEN_SRC) | cut -d : -f 1` \
		> $(GEN_OUT)
	$(gen_verbose) wget -qO - $(GEN_URL) \
		| grep -v ^# \
		| awk '{for (i=2; i<=NF; i++) if ($$i != "") { \
			split($$1, a, "/"); \
			print "all_ext(<<\"" $$i "\">>) -> {<<\"" \
				a[1] "\">>, <<\"" a[2] "\">>, []};"}}' \
		| sort \
		| uniq -w 25 \
		>> $(GEN_OUT)
	$(gen_verbose) cat $(GEN_SRC) \
		| tail -n +`grep -n "%% GENERATED" $(GEN_SRC) | cut -d : -f 1` \
		>> $(GEN_OUT)

# Performance testing.

deps/horse:
	git clone -n -- https://github.com/extend/horse $(DEPS_DIR)/horse
	cd $(DEPS_DIR)/horse ; git checkout -q master
	$(MAKE) -C $(DEPS_DIR)/horse

perfs: ERLC_OPTS += -DPERF=1 +'{parse_transform, horse_autoexport}' -DEXTRA=1
perfs: clean deps deps/horse app
	$(gen_verbose) erl -noshell -pa ebin deps/horse/ebin \
		-eval 'horse:app_perf($(PROJECT)), init:stop().'

=== debian/changelog ===
erlang-cowlib (0.6.2-2) unstable; urgency=medium

  * Ship Erlang header files
  * Bump standards version, no changes needed

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 07 Aug 2014 09:49:15 +0200

erlang-cowlib (0.6.2-1) unstable; urgency=medium

  * Initial release (Closes: #756496)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 30 Jul 2014 12:13:03 +0200

=== debian/control ===
Source: erlang-cowlib
Section: devel
Priority: optional
Maintainer: Balint Reczey <balint@balintreczey.hu>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
	erlang-dev (>= 1:14.b.4),
	erlang-eunit (>= 1:14.b.4),
	erlang-edoc (>= 1:14.b.4),
	markdown
Homepage: https://github.com/extend/cowlib
# Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-cowlib.git
# Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-cowlib.git;a=summary
Vcs-Git: https://github.com/rbalint/pkg-erlang-cowlib.git
Vcs-Browser: https://github.com/rbalint/pkg-erlang-cowlib

Package: erlang-cowlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
	${erlang:Depends}
Description: Erlang library for manipulating web protocols
 Cowlib provides libraries for parsing and building messages for
 various Web protocols, including SPDY, HTTP and Websocket.
 .
 It is optimized for completeness rather than speed. No value is
 ignored, they are all returned.

## erlang-cowlib 1.0.0

=== debian/changelog ===
erlang-cowlib (1.0.0-1) unstable; urgency=medium

  * Make package maintained by the LeoFS team moving the repository onto
    Debian's infrastructure
  * New upstream version 1.0.0
  * Fix short name of ISC license in d/copyright to keep Lintian happy

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 25 Aug 2014 09:36:54 +0200

## erlang-cowlib 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
 # See LICENSE for licensing information.
 
 PROJECT = cowlib
-CT_SUITES = eunit
+#ERLC_OPTS += +bin_opt_info
+TEST_ERLC_OPTS += +'{parse_transform, eunit_autoexport}' +'{parse_transform, horse_autoexport}'
 PLT_APPS = crypto
+
+TEST_DEPS = triq
+dep_triq = git https://github.com/krestenkrab/triq master
 
 include erlang.mk
 
@@ -33,12 +37,15 @@
 
 # Performance testing.
 
+ifeq ($(MAKECMDGOALS),perfs)
+.NOTPARALLEL:
+endif
+
 deps/horse:
 	git clone -n -- https://github.com/extend/horse $(DEPS_DIR)/horse
 	cd $(DEPS_DIR)/horse ; git checkout -q master
 	$(MAKE) -C $(DEPS_DIR)/horse
 
-perfs: ERLC_OPTS += -DPERF=1 +'{parse_transform, horse_autoexport}' -DEXTRA=1
-perfs: clean deps deps/horse app
+perfs: test-build
 	$(gen_verbose) erl -noshell -pa ebin deps/horse/ebin \
-		-eval 'horse:app_perf($(PROJECT)), init:stop().'
+		-eval 'horse:app_perf($(PROJECT)), erlang:halt().'

=== debian/changelog ===
erlang-cowlib (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * Change maintainer address to Debian Erlang Packagers
    <pkg-erlang-devel@lists.alioth.debian.org>. (Closes: #899488)
  * Change Vcs-Browser and Vcs-Git to salsa.
  * Bump Standards-Version to 4.1.4.
  * Get rid of lintian 'insecure-copyright-format-uri'.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 30 May 2018 12:38:52 +0900

erlang-cowlib (1.3.0-2) unstable; urgency=medium

  * Use crypto:strong_rand_bytes/1 instead of rypto:rand_bytes/1
    (Closes: #846748)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Dec 2016 10:33:15 +0100

erlang-cowlib (1.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 29 Apr 2015 18:01:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: erlang-cowlib
+Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
+Uploaders: Balint Reczey <balint@balintreczey.hu>
 Section: devel
 Priority: optional
-Maintainer: Balint Reczey <balint@balintreczey.hu>
-Standards-Version: 3.9.5
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~),
 	erlang-dev (>= 1:14.b.4),
 	erlang-eunit (>= 1:14.b.4),
 	erlang-edoc (>= 1:14.b.4),
 	markdown
 Homepage: https://github.com/extend/cowlib
-# Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-cowlib.git
-# Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-cowlib.git;a=summary
-Vcs-Git: https://github.com/rbalint/pkg-erlang-cowlib.git
-Vcs-Browser: https://github.com/rbalint/pkg-erlang-cowlib
+Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-cowlib.git
+Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-cowlib
 
 Package: erlang-cowlib
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

PACKAGE=cowlib
VERSION = $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	markdown README.md > README.html

override_dh_auto_install:
	dh_auto_install
	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin/
	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/include
	install -m 644 include/*.hrl \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/include/

override_dh_gencontrol-arch:
	erlang-depends -a -perlang-cowlib
	dh_gencontrol -a -perlang-cowlib

override_dh_compress:
	dh_compress -X.erl -X.beam

override_dh_auto_clean:
	dh_auto_clean
	rm -f README.html
